Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007664opensim[REGION] OpenSim Corepublic2015-08-01 02:382015-08-18 09:34
Reporteraiaustin 
Assigned Toorenh 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS Version8.1
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0007664: r/26112 Change to make TryLinkRegionToCoords method private rather than public affects WiFi Addon Module
DescriptionThe last working version of OpenSim with Diva's WiFi added in that I was using was dev master r/26108 on 2015-07-22. On a compile of the most recent version I get one compile error.

I think the issue might be a fix that Oren made at r/26112 also on 2015-07-22 where a method that WiFi related addon modules use named "TryLinkRegionToCoords" (along with others) was made private instead of public.

I have drawn Diva's attention to this in case it is something that can be fixed in the add on. But, does that fix need reverting in Core or is this a fix that can be made within WiFi to allow that to continue to work?

"D:\Temp\opensim-368ea78\opensim.sln" (default target) (1) ->
"D:\Temp\opensim-368ea78\addon-modules\1DivaOpenSimServices\Diva.OpenSimServices.csproj" (default target) (28) -> (CoreCompile target) -> GridService.cs(52,38): error CS1061: 'OpenSim.Services.GridService.HypergridLinker' does not contain a definition for 'TryLinkRegionToCoords' and no extension method 'TryLinkRegionToCoords' accepting a first argument of type 'OpenSim.Services.GridService.HypergridLinker' could be found (are you missing a using directive or an assembly reference?) [D:\Temp\opensim-368ea78\addon-modules\1DivaOpenSimServices\Diva.OpenSimServices.csproj]

TagsNo tags attached.
Git Revision or version numberr/26112
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBasicPhysics
Environment.NET / Windows64
Mono VersionNone
ViewerN/A
Attached Files

- Relationships

-  Notes
(0029048)
Diva (administrator)
2015-08-01 09:32

Following suggestion by orenh,

[09:30] <cia-opensim> opensim: diva * r32d87aa168bf OpenSim/Services (2 files in 2 dirs):
[09:30] <cia-opensim> Mantis 0007664: Added IHypergridLinker interface to establish a contract about what implementers need to provide publicly. This is used by 3rd-party addons such as Wifi.
(0029192)
aiaustin (developer)
2015-08-18 09:34

Resolved issue marked as closed. Please open a new issue and refer to this one if problems arise.

- Issue History
Date Modified Username Field Change
2015-08-01 02:38 aiaustin New Issue
2015-08-01 02:38 aiaustin Status new => assigned
2015-08-01 02:38 aiaustin Assigned To => orenh
2015-08-01 02:41 aiaustin Description Updated View Revisions
2015-08-01 09:32 Diva Note Added: 0029048
2015-08-01 22:36 orenh Status assigned => resolved
2015-08-01 22:36 orenh Resolution open => fixed
2015-08-18 09:34 aiaustin Note Added: 0029192
2015-08-18 09:34 aiaustin Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker